package com.lightinit.hsdatashow.entity;

import java.util.Date;

public class AreaAirPollutionIndex {
    private Long id;

    private Long regionId;

    private String regionName;

    private String name;

    private Integer value;

    private String level;

    private String state;

    private Date updateTime;

    private Long createdBy;

    public AreaAirPollutionIndex() {
    }

    public AreaAirPollutionIndex(String regionName, Integer value,String name,  String level, String state) {
        this.regionName = regionName;
        this.name = name;
        this.value = value;
        this.level = level;
        this.state = state;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRegionId() {
        return regionId;
    }

    public void setRegionId(Long regionId) {
        this.regionId = regionId;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName == null ? null : regionName.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level == null ? null : level.trim();
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state == null ? null : state.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    @Override
    public String toString() {
        return "AreaAirPollutionIndex{" +
                "regionName='" + regionName + '\'' +
                ", name='" + name + '\'' +
                ", value=" + value +
                ", level='" + level + '\'' +
                ", state='" + state + '\'' +
                ", updateTime=" + updateTime +
                '}';
    }
}